"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FlatList = FlatList;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _SegmentContext = require("../SegmentContext");

var _SegmentedViewContext = require("../SegmentedViewContext");

var _useCollapsibleStyle = require("../useCollapsibleStyle");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * Use like a regular flatlist.
 */
function FlatList({
  contentContainerStyle,
  style,
  ...rest
}) {
  const ref = _react.default.useRef();

  const {
    style: _style,
    contentContainerStyle: _contentContainerStyle,
    progressViewOffset
  } = (0, _useCollapsibleStyle.useCollapsibleStyle)();
  const {
    index
  } = (0, _SegmentContext.useSegmentContext)();
  const {
    scrollY,
    setRef,
    contentInset
  } = (0, _SegmentedViewContext.useSegmentedViewContext)();

  _react.default.useEffect(() => {
    // @ts-ignore
    setRef(ref, index); // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  return /*#__PURE__*/_react.default.createElement(_reactNative.Animated.FlatList, _extends({}, rest, {
    // @ts-ignore
    ref: ref,
    bouncesZoom: false,
    style: [_style, style],
    contentContainerStyle: [_contentContainerStyle, contentContainerStyle],
    progressViewOffset: progressViewOffset,
    onScroll: _reactNative.Animated.event([{
      nativeEvent: {
        contentOffset: {
          y: scrollY
        }
      }
    }], {
      useNativeDriver: true
    }),
    scrollEventThrottle: 16,
    contentInset: {
      top: contentInset
    },
    contentOffset: {
      y: -contentInset,
      x: 0
    },
    automaticallyAdjustContentInsets: false
  }));
}
//# sourceMappingURL=FlatList.js.map