"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.scrollTo = exports.CONTROL_HEIGHT = exports.extractLabels = exports.spring = exports.IS_IOS = void 0;

var _react = require("react");

var _reactNative = require("react-native");

const IS_IOS = _reactNative.Platform.OS === 'ios';
exports.IS_IOS = IS_IOS;

const spring = (value, to, native = true) => {
  return _reactNative.Animated.spring(value, {
    stiffness: 1000,
    damping: 500,
    mass: 3,
    overshootClamping: true,
    restDisplacementThreshold: 0.01,
    restSpeedThreshold: 0.01,
    toValue: to,
    useNativeDriver: native
  });
};

exports.spring = spring;

const extractLabels = segments => {
  const labels = [];

  _react.Children.forEach(segments, element => {
    const {
      label
    } = element.props;
    labels.push(label);
  });

  return labels;
};

exports.extractLabels = extractLabels;
const CONTROL_HEIGHT = 48;
exports.CONTROL_HEIGHT = CONTROL_HEIGHT;

const scrollTo = (ref, to, animated = false) => {
  if (ref.scrollToOffset) {
    ref.scrollToOffset({
      offset: to,
      animated
    });
  } else {
    ref === null || ref === void 0 ? void 0 : ref.scrollTo({
      x: 0,
      y: to,
      animated
    });
  }
};

exports.scrollTo = scrollTo;
//# sourceMappingURL=helpers.js.map