"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCollapsibleStyle = useCollapsibleStyle;

var _SegmentedViewContext = require("./SegmentedViewContext");

var _helpers = require("./helpers");

function useCollapsibleStyle() {
  const {
    headerHeight,
    controlHeight,
    containerHeight
  } = (0, _SegmentedViewContext.useSegmentedViewContext)();
  return {
    style: {
      width: '100%'
    },
    contentContainerStyle: {
      minHeight: _helpers.IS_IOS ? containerHeight - controlHeight : containerHeight + controlHeight,
      paddingTop: _helpers.IS_IOS ? 0 : headerHeight + controlHeight
    },
    progressViewOffset: headerHeight + controlHeight
  };
}
//# sourceMappingURL=useCollapsibleStyle.js.map