import { useSegmentedViewContext } from './SegmentedViewContext';
import { IS_IOS } from './helpers';
export function useCollapsibleStyle() {
  const {
    headerHeight,
    controlHeight,
    containerHeight
  } = useSegmentedViewContext();
  return {
    style: {
      width: '100%'
    },
    contentContainerStyle: {
      minHeight: IS_IOS ? containerHeight - controlHeight : containerHeight + controlHeight,
      paddingTop: IS_IOS ? 0 : headerHeight + controlHeight
    },
    progressViewOffset: headerHeight + controlHeight
  };
}
//# sourceMappingURL=useCollapsibleStyle.js.map