import React from 'react';
import { TextStyle, ViewStyle } from 'react-native';
import { ControlProps } from './types';
export declare type Props = ControlProps & {
    containerStyle?: ViewStyle;
    tabStyle?: ViewStyle;
    indicatorStyle?: ViewStyle;
    pressColor?: string;
    pressOpacity?: number;
    labelStyle?: TextStyle;
    inactiveOpacity?: number;
};
/**
 * Default android control.
 *
 * Example usage:
 *
 * ```tsx
 * import {
 *  Segmented,
 *  MaterialTabBar
 * } from 'react-native-collapsible-segmented-view
 *
 * ...
 *
 * <Segmented.View
 *  control={(props) => <MaterialTabBar {...props} indicatorStyle='red' />}
 * >
 *  ...
 * ```
 */
export declare const MaterialTabBar: React.FC<Props>;
